Skip to main content

HR Information Systems

Employees, org structure, time-off, payroll

  • Tools: 18
  • Connectors: 8

Connectors in this domain

Tool reference

hris.employees.search - Search Employees

Search for employees by name, email, department, or other attributes.

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, Workday, Namely, ADP Workforce Now, Rippling, Paylocity, SAP SuccessFactors HCM, HiBob

Input schema

FieldTypeRequiredDescription
limitintegerNoDefault: 25.
querystringNoSearch by name or email
statusstringNoOne of: active, inactive, on_leave, terminated.
locationstringNo-
job_titlestringNo-
departmentstringNo-

Output schema

FieldTypeRequiredDescription
employeesarrayNo-
employees[].idstringNo-
employees[].namestringNo-
employees[].emailstringNo-
employees[].statusstringNo-
employees[].job_titlestringNo-
employees[].departmentstringNo-
employees[].employee_numberstringNo-
total_countintegerNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.employees.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":25,"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.employees.search",
"arguments": {
"limit": 25,
"query": "string"
}
}
}

hris.employees.get - Get Employee Details

Retrieve complete employee profile including contact info, job details, and org placement.

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, Workday, Namely, Rippling, Paylocity, HiBob, ADP Workforce Now, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
employee_idstringYesEmployee ID or employee number
include_documentsbooleanNoDefault: false.
include_compensationbooleanNoInclude salary info (requires elevated permissions) Default: false.

Output schema

FieldTypeRequiredDescription
idstringNo-
namestringNo-
emailstringNo-
phonestringNo-
statusstringNo-
managerobjectNo-
manager.idstringNo-
manager.namestringNo-
locationstringNo-
hire_datestringNo-
job_titlestringNo-
departmentstringNo-
employee_numberstringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.employees.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.employees.get",
"arguments": {
"employee_id": "string"
}
}
}

hris.directory.search - Search Employee Directory

Search the company directory for employees with limited public fields

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, HiBob, Workday, ADP Workforce Now, Rippling, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
limitintegerNo-
querystringYes-
locationstringNo-
departmentstringNo-

Output schema

FieldTypeRequiredDescription
itemsarrayNo-
totalintegerNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.directory.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.directory.search",
"arguments": {
"query": "string"
}
}
}

hris.direct_reports.list - List Direct Reports

List all employees who report directly to a given manager

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, HiBob, Workday, ADP Workforce Now, Rippling, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
manager_idstringYes-

Output schema

FieldTypeRequiredDescription
itemsarrayNo-
totalintegerNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.direct_reports.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"manager_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.direct_reports.list",
"arguments": {
"manager_id": "string"
}
}
}

hris.departments.list - List Departments

List all departments in the organization

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, ADP Workforce Now, Workday, Paylocity, Namely, Rippling, SAP SuccessFactors HCM, HiBob

Input schema

No fields.

Output schema

FieldTypeRequiredDescription
departmentsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.departments.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.departments.list",
"arguments": {}
}
}

hris.timeoff.get - Get Time-Off Balances

Retrieve time-off balances and pending requests for an employee.

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, Rippling, HiBob, ADP Workforce Now, Paylocity, Workday, Namely, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
yearintegerNoCalendar year, defaults to current
employee_idstringYes-

Output schema

FieldTypeRequiredDescription
balancesarrayNo-
balances[].typestringNo-
balances[].usednumberNo-
balances[].pendingnumberNo-
balances[].availablenumberNo-
employee_idstringNo-
pending_requestsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.timeoff.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.timeoff.get",
"arguments": {
"employee_id": "string"
}
}
}

hris.timeoff.list - List Time-Off Requests

List time-off requests for employees

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, Workday, Rippling, HiBob, ADP Workforce Now, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

No fields.

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.timeoff.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.timeoff.list",
"arguments": {}
}
}

hris.timeoff.request - Request Time Off

Submit a time off request

  • Risk: write - Creates or modifies data
  • Supported by: BambooHR, Workday, Namely, HiBob, ADP Workforce Now, Rippling, Paylocity, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
typestringYes-
end_datestringYes-
start_datestringYes-
employee_idstringYes-

Output schema

FieldTypeRequiredDescription
requestobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.timeoff.request/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"type":"string","end_date":"string","start_date":"string","employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.timeoff.request",
"arguments": {
"type": "string",
"end_date": "string",
"start_date": "string",
"employee_id": "string"
}
}
}

hris.compensation.get - Get Compensation

Retrieve compensation details for employees

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, HiBob, ADP Workforce Now, Workday, Rippling, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
employee_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.compensation.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.compensation.get",
"arguments": {
"employee_id": "string"
}
}
}

hris.locations.list - List Locations

List all office locations

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, HiBob, ADP Workforce Now, Workday, Rippling, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

No fields.

Output schema

FieldTypeRequiredDescription
locationsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.locations.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.locations.list",
"arguments": {}
}
}

hris.benefits.list - List Benefits

List employee benefits and enrollments

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, Workday, ADP Workforce Now, HiBob, Rippling, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
employee_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.benefits.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.benefits.list",
"arguments": {
"employee_id": "string"
}
}
}

hris.job_history.get - Get Job History

Retrieve employment history within the company (promotions, title changes, transfers)

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, HiBob, Workday, ADP Workforce Now, Rippling, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
employee_idstringYes-

Output schema

FieldTypeRequiredDescription
itemsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.job_history.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.job_history.get",
"arguments": {
"employee_id": "string"
}
}
}

hris.payroll.get - Get Payroll Data

Retrieve payroll information for employees

  • Risk: read - Read-only - safe to call freely
  • Supported by: Rippling, Paylocity, ADP Workforce Now, BambooHR, Workday, HiBob, Namely, SAP SuccessFactors HCM

Input schema

FieldTypeRequiredDescription
periodstringNo-
employee_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.payroll.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"period":"string","employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.payroll.get",
"arguments": {
"period": "string",
"employee_id": "string"
}
}
}

hris.employees.update - Update Employee

Update an existing employee record

  • Risk: write - Creates or modifies data
  • Supported by: BambooHR, Workday, Rippling, HiBob, ADP Workforce Now, Namely, Paylocity, SAP SuccessFactors HCM

Input schema

No fields.

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.employees.update/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.employees.update",
"arguments": {}
}
}

hris.employees.create - Create Employee

Create a new employee record in the HRIS system

  • Risk: write - Creates or modifies data
  • Supported by: BambooHR, ADP Workforce Now, HiBob, Rippling, Workday, Paylocity, Namely, SAP SuccessFactors HCM

Input schema

No fields.

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.employees.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.employees.create",
"arguments": {}
}
}

hris.documents.list - List Employee Documents

List documents in an employee file (offer letters, tax forms, contracts)

  • Risk: read - Read-only - safe to call freely
  • Supported by: BambooHR, HiBob, Workday, Rippling, Paylocity, Namely, SAP SuccessFactors HCM, ADP Workforce Now

Input schema

FieldTypeRequiredDescription
categorystringNo-
employee_idstringYes-

Output schema

FieldTypeRequiredDescription
itemsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.documents.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.documents.list",
"arguments": {
"employee_id": "string"
}
}
}

hris.documents.upload - Upload Employee Document

Upload a document to an employee file

  • Risk: write - Creates or modifies data
  • Supported by: BambooHR, HiBob, Workday, Rippling, Paylocity, Namely, SAP SuccessFactors HCM, ADP Workforce Now

Input schema

FieldTypeRequiredDescription
categorystringNo-
file_namestringYes-
employee_idstringYes-

Output schema

FieldTypeRequiredDescription
successbooleanNo-
document_idstringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.documents.upload/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"file_name":"string","employee_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.documents.upload",
"arguments": {
"file_name": "string",
"employee_id": "string"
}
}
}

hris.employees.offboard - Offboard Employee

Initiate employee termination or offboarding workflow

  • Risk: high_risk -
  • Supported by: BambooHR, HiBob, Workday, Rippling, Paylocity, Namely, SAP SuccessFactors HCM, ADP Workforce Now

Input schema

FieldTypeRequiredDescription
reasonstringNo-
employee_idstringYes-
termination_datestringYes-

Output schema

FieldTypeRequiredDescription
successbooleanNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/hris.employees.offboard/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"employee_id":"string","termination_date":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "hris.employees.offboard",
"arguments": {
"employee_id": "string",
"termination_date": "string"
}
}
}